{
  "name": "s3app-server",
  "version": "0.1.0",
  "description": " ",
  "main": "dist/app.js",
  "scripts": {
    "start": "nodemon dist/app.js",
    "dev": "nodemon src/app.ts",
    "prod": "ts-node src/app.ts",
    "build": "tsc -p .",
    "prestart": "copyfiles -u 3  src\\API\\schema\\*.graphql .\\dist\\API\\schema\\",
    "semantic-release": "semantic-release"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/s3app-team/s3app/s3app-server.git"
  },
  "author": "",
  "license": "Apache License",
  "bugs": {
    "url": "https://gitlab.com/s3app-team/s3app/s3app-server/issues"
  },
  "homepage": "https://gitlab.com/s3app-team/s3app/s3app-server#readme",
  "dependencies": {
    "@graphql-tools/graphql-file-loader": "^7.5.4",
    "@graphql-tools/load": "^7.7.6",
    "@types/node": "^18.0.0",
    "apollo-server-core": "^3.13.0",
    "apollo-server-express": "3.10.2",
    "bcrypt": "^5.1.0",
    "cors": "^2.8.5",
    "cron": "^3.1.6",
    "dayjs": "^1.11.10",
    "express": "^4.18.2",
    "express-graphql": "^0.12.0",
    "graphql": "^15.8.0",
    "graphql-request": "^6.1.0",
    "jsonwebtoken": "^8.5.1",
    "knex": "^3.0.1",
    "lodash": "^4.17.21",
    "md5": "^2.3.0",
    "mongoose": "^6.4.1",
    "mongoose-delete": "^0.5.4",
    "nodemailer": "^6.9.4",
    "npm": "^9.1.2",
    "pg": "^8.11.3",
    "reflect-metadata": "^0.1.13",
    "uuid": "^9.0.1",
    "yarn": "^1.22.19"
  },
  "devDependencies": {
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/commit-analyzer": "^10.0.1",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^12.0.3",
    "@semantic-release/npm": "^10.0.4",
    "@semantic-release/release-notes-generator": "^11.0.4",
    "@types/bcrypt": "^5.0.0",
    "@types/cors": "^2.8.12",
    "@types/express": "4.17.13",
    "@types/jsonwebtoken": "^8.5.9",
    "@types/mongoose-delete": "^0.5.9",
    "@types/nodemailer": "^6.4.4",
    "@types/pg": "^8.10.6",
    "@types/uuid": "^9.0.7",
    "@typescript-eslint/eslint-plugin": "^6.19.0",
    "@typescript-eslint/parser": "^6.19.0",
    "eslint": "^8.27.0",
    "eslint-config-airbnb-typescript": "^17.1.0",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-prettier": "^5.1.3",
    "nodemon": "^2.0.19",
    "semantic-release": "^21.0.7",
    "ts-node": "^10.8.1",
    "typescript": "^4.7.4"
  }
}
